Bug 663038 - ZeroDivisionError: float division occurs in subscription-manager-gui
Summary: ZeroDivisionError: float division occurs in subscription-manager-gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-14 14:37 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
MySubscriptions after having subscribed to a subscription with 0 bundled products (69.54 KB, image/png)
2010-12-21 20:09 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-12-14 14:37:18 UTC
Description of problem:
When connected to the DEV2 environment and subscribing to a pool with 0 bundled products, the subscription-manager-gui throws tracebacks.


Version-Release number of selected component (if applicable):
[root@jsefler-dev2-1 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.93.3-1.git.19.7e709b6.fc14.x86_64
subscription-manager-gnome-0.93.3-1.git.19.7e709b6.fc14.x86_64


How reproducible:

Not sure what 0 bundled products against the DEV2 environment means.  Anyway, here is the recreate steps...

Steps to Reproduce:
1. change your rhsm.config to point to:
# Server hostname:
hostname=candlepin1.devlab.phx1.redhat.com

# Server port:
port=443

2. # subscription-manager-gui &
3. register as XEOPS/redhat and click All Available Subscriptions / Search / provide software not yet installed / select first subscription / Subscribe / choose first contract / Subscribe
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 76, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 103, in update_subscriptions
    entry = self._create_entry_map(cert)   
  File "/usr/share/rhsm/gui/mysubstab.py", line 156, in _create_entry_map
    entry['installed_value'] = self._percentage(installed, products)
  File "/usr/share/rhsm/gui/mysubstab.py", line 178, in _percentage
    return (float(len(subset)) / len(full_set)) * 100
ZeroDivisionError: float division
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 76, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 103, in update_subscriptions
    entry = self._create_entry_map(cert)   
  File "/usr/share/rhsm/gui/mysubstab.py", line 156, in _create_entry_map
    entry['installed_value'] = self._percentage(installed, products)
  File "/usr/share/rhsm/gui/mysubstab.py", line 178, in _percentage
    return (float(len(subset)) / len(full_set)) * 100
ZeroDivisionError: float division
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 76, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 103, in update_subscriptions
    entry = self._create_entry_map(cert)   
  File "/usr/share/rhsm/gui/mysubstab.py", line 156, in _create_entry_map
    entry['installed_value'] = self._percentage(installed, products)
  File "/usr/share/rhsm/gui/mysubstab.py", line 178, in _percentage
    return (float(len(subset)) / len(full_set)) * 100
ZeroDivisionError: float division
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 76, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 103, in update_subscriptions
    entry = self._create_entry_map(cert)   
  File "/usr/share/rhsm/gui/mysubstab.py", line 156, in _create_entry_map
    entry['installed_value'] = self._percentage(installed, products)
  File "/usr/share/rhsm/gui/mysubstab.py", line 178, in _percentage
    return (float(len(subset)) / len(full_set)) * 100
ZeroDivisionError: float division
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 76, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 103, in update_subscriptions
    entry = self._create_entry_map(cert)   
  File "/usr/share/rhsm/gui/mysubstab.py", line 156, in _create_entry_map
    entry['installed_value'] = self._percentage(installed, products)
  File "/usr/share/rhsm/gui/mysubstab.py", line 178, in _percentage
    return (float(len(subset)) / len(full_set)) * 100
ZeroDivisionError: float division
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 76, in on_cert_change
    self.update_subscriptions()
  File "/usr/share/rhsm/gui/mysubstab.py", line 103, in update_subscriptions
    entry = self._create_entry_map(cert)   
  File "/usr/share/rhsm/gui/mysubstab.py", line 156, in _create_entry_map
    entry['installed_value'] = self._percentage(installed, products)
  File "/usr/share/rhsm/gui/mysubstab.py", line 178, in _percentage
    return (float(len(subset)) / len(full_set)) * 100
ZeroDivisionError: float division


Expected results:


Additional info:
HERE IS A tail -f /var/log/rhsm/rhsm.log

2010-12-14 09:17:32,098 [INFO] __init__() @connection.py:274 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2010-12-14 09:17:32,099 [INFO] __init__() @connection.py:277 - Connection Established: host: candlepin1.devlab.phx1.redhat.com, port: 443, handler: /candlepin
2010-12-14 09:17:32,101 [DEBUG] reload() @managergui.py:128 - Loading consumer info from identity certificates.
2010-12-14 09:17:32,268 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:17:32.268599
2010-12-14 09:17:32,269 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:17:32,269 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:17:32,270 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:17:32,274 [DEBUG] reload() @managergui.py:128 - Loading consumer info from identity certificates.
2010-12-14 09:17:32,283 [DEBUG] _show_buttons() @managergui.py:257 - Showing buttons.
2010-12-14 09:17:32,283 [DEBUG] _show_add_sub_button() @managergui.py:312 - Add subscription button pressed.
2010-12-14 09:17:52,016 [INFO] __init__() @connection.py:263 - Using basic authentication as: XEOPS
2010-12-14 09:17:52,017 [INFO] __init__() @connection.py:277 - Connection Established: host: candlepin1.devlab.phx1.redhat.com, port: 443, handler: /candlepin
2010-12-14 09:17:52,021 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:17:52,022 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:17:52,024 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:17:52,026 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:17:52,027 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:17:55,389 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:17:55,397 [INFO] persist_consumer_cert() @managerlib.py:77 - Consumer created: {'consumer_name': 'jsefler-dev2-1.usersys.redhat.com', 'uuid': '27d33d21-a9b6-430e-a301-235b6895c84e'}
2010-12-14 09:17:55,399 [DEBUG] reload() @managergui.py:128 - Loading consumer info from identity certificates.
2010-12-14 09:17:55,406 [DEBUG] registration_changed() @managergui.py:226 - Registration changed, updating main window.
2010-12-14 09:17:55,406 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:17:55.406484
2010-12-14 09:17:55,406 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:17:55,406 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:17:55,407 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:17:55,408 [DEBUG] reload() @managergui.py:128 - Loading consumer info from identity certificates.
2010-12-14 09:17:55,415 [DEBUG] _show_buttons() @managergui.py:257 - Showing buttons.
2010-12-14 09:17:55,421 [DEBUG] _show_add_sub_button() @managergui.py:312 - Add subscription button pressed.
2010-12-14 09:17:57,771 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:17:57.771156
2010-12-14 09:17:57,772 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:17:57,773 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:17:57,774 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:17:57,779 [DEBUG] reload() @managergui.py:128 - Loading consumer info from identity certificates.
2010-12-14 09:17:57,787 [DEBUG] _show_buttons() @managergui.py:257 - Showing buttons.
2010-12-14 09:17:57,789 [DEBUG] _show_add_sub_button() @managergui.py:312 - Add subscription button pressed.
2010-12-14 09:18:09,265 [INFO] perform() @repolib.py:68 - repos updated: 0
2010-12-14 09:18:09,266 [INFO] __init__() @connection.py:274 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2010-12-14 09:18:09,266 [INFO] __init__() @connection.py:277 - Connection Established: host: candlepin1.devlab.phx1.redhat.com, port: 443, handler: /candlepin
2010-12-14 09:18:09,391 [INFO] perform() @factlib.py:62 - facts updated: 0
2010-12-14 09:18:09,394 [INFO] __init__() @connection.py:274 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2010-12-14 09:18:09,394 [INFO] __init__() @connection.py:277 - Connection Established: host: candlepin1.devlab.phx1.redhat.com, port: 443, handler: /candlepin
2010-12-14 09:18:09,397 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:18:09,398 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:18:09,398 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:18:09,399 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:18:09,399 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:18:10,028 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:18:10,148 [INFO] perform() @certlib.py:137 - certs updated:
Total updates: 0
Found (local) serial# []
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2010-12-14 09:18:19,346 [DEBUG] refresh() @managerlib.py:467 - Refreshing pools from server...
2010-12-14 09:18:19,375 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:18:19,376 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:18:19,377 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:18:19,378 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:18:19,378 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:18:20,379 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:18:20,386 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:18:20,386 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:18:20,386 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:18:20,387 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:18:20,387 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:18:21,207 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:18:21,216 [DEBUG] refresh() @managerlib.py:482 - found 42 pools:
2010-12-14 09:18:21,217 [DEBUG] refresh() @managerlib.py:483 -    41 compatible
2010-12-14 09:18:21,217 [DEBUG] refresh() @managerlib.py:484 -    1 incompatible
2010-12-14 09:18:27,126 [DEBUG] filters_changed() @allsubs.py:208 - filters changed
2010-12-14 09:19:07,414 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:19:07,415 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:19:07,416 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:19:07,416 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:19:07,417 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:19:11,220 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:19:11,225 [INFO] __init__() @connection.py:274 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2010-12-14 09:19:11,226 [INFO] __init__() @connection.py:277 - Connection Established: host: candlepin1.devlab.phx1.redhat.com, port: 443, handler: /candlepin
2010-12-14 09:19:11,229 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:19:11,230 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:19:11,231 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:19:11,233 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:19:11,235 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:19:11,848 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:19:11,851 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:19:11,852 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:19:11,854 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:19:11,855 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:19:11,856 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:19:12,566 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:19:12,573 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:12,577 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:12,580 [INFO] perform() @certlib.py:137 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [17129233635341211]
Added (new)
  [sn:17129233635341211 (RHN Provisioning + Management,) @ /etc/pki/entitlement/17129233635341211.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2010-12-14 09:19:12,588 [DEBUG] refresh() @managerlib.py:467 - Refreshing pools from server...
2010-12-14 09:19:12,593 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:19:12,595 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:19:12,596 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:19:12,597 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:19:12,598 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:19:13,526 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:19:13,528 [INFO] _request() @connection.py:130 - loading ca pem certificates from: /etc/rhsm/ca/
2010-12-14 09:19:13,529 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/candlepin-stage.pem'
2010-12-14 09:19:13,529 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/redhat-uep.pem'
2010-12-14 09:19:13,530 [INFO] _load_ca_certificates() @connection.py:111 - loading ca certificate '/etc/rhsm/ca/fakamai-cp1.pem'
2010-12-14 09:19:13,530 [INFO] _request() @connection.py:132 - work in insecure mode ?:False
2010-12-14 09:19:14,339 [INFO] _request() @connection.py:160 - status code: 200
2010-12-14 09:19:14,341 [DEBUG] refresh() @managerlib.py:482 - found 42 pools:
2010-12-14 09:19:14,342 [DEBUG] refresh() @managerlib.py:483 -    33 compatible
2010-12-14 09:19:14,342 [DEBUG] refresh() @managerlib.py:484 -    9 incompatible
2010-12-14 09:19:14,346 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:14,989 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,004 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:19:15.003987
2010-12-14 09:19:15,006 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:19:15,014 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,016 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:19:15,016 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:19:15,020 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,022 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:19:15.021951
2010-12-14 09:19:15,039 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:19:15,046 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,049 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:19:15,050 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:19:15,062 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,065 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:19:15.065347
2010-12-14 09:19:15,065 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:19:15,067 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,068 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:19:15,068 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:19:15,072 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,073 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:19:15.073018
2010-12-14 09:19:15,073 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:19:15,075 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,075 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:19:15,076 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:19:15,079 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,080 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:19:15.080182
2010-12-14 09:19:15,080 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:19:15,082 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,083 [DEBUG] __init__() @certlib.py:658 - valid entitled products: []
2010-12-14 09:19:15,083 [DEBUG] __init__() @certlib.py:659 - expired entitled products: []
2010-12-14 09:19:15,086 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211
2010-12-14 09:19:15,087 [DEBUG] __init__() @certlib.py:649 - Sorting product and entitlement cert status for: 2010-12-14 09:19:15.087173
2010-12-14 09:19:15,087 [DEBUG] _populate_all_products() @certlib.py:667 - Installed product IDs: []
2010-12-14 09:19:15,089 [WARNING] bogus() @certificate.py:299 - No product information in certificate: 17129233635341211

Comment 2 J.C. Molet 2010-12-14 16:52:20 UTC
I get the same thing when subscribing to a subscription with 1 bundled product.  I was registered as rh-alpha-107 against the candlepin1.devlab.phx1.redhat.com server.

versions:
subscription-manager-gnome-0.93.3-1.git.19.7e709b6.fc14.x86_64
subscription-manager-0.93.3-1.git.19.7e709b6.fc14.x86_64

Comment 3 Bryan Kearney 2010-12-21 18:46:41 UTC
Fixed in 748ae3a3d7515c830bfa32d7d0885b94f1868747

Comment 5 John Sefler 2010-12-21 20:07:38 UTC
[root@jsefler-dev2-1 ~]# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.93.8-1.git.2.f33b290.el6.x86_64

[root@jsefler-dev2-1 ~]# grep -A1 Server /etc/rhsm/rhsm.conf
# Server hostname:
hostname=candlepin1.devlab.phx1.redhat.com
--
# Server prefix:
prefix=/candlepin
--
# Server port:
port=443
--
# Server CA certificate location:
ca_cert_dir=/etc/rhsm/ca/



[root@jsefler-dev2-1 ~]# subscription-manager-gui &
[1] 15564

HAVING STARTED THE GUI, I WILL NOW...
register as XEOPS/redhat and click All Available Subscriptions / Search /
provide software not yet installed / select first subscription / Subscribe /
choose first contract / Subscribe


[root@jsefler-dev2-1 ~]# Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.
33250200-93a9-45bf-a623-4fdd0f1800a4 jsefler-dev2-1.usersys.redhat.com

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown attribute `swapped' for <signal>.

(subscription-manager-gui:15564): libglade-WARNING **: unknown property `mnemonics_visible' for class `GtkWindow'
No handlers could be found for logger "rhsm.certificate"




[root@jsefler-dev2-1 ~]# tail -f /var/log/rhsm/rhsm.log

2010-12-21 14:57:57,292 [INFO] perform() @certlib.py:137 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [171292961478153239]
Added (new)
  [sn:171292961478153239 (RHN Provisioning + Management,) @ /etc/pki/entitlement/171292961478153239.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2010-12-21 14:57:57,301 [DEBUG] refresh() @managerlib.py:467 - Refreshing pools from server...
2010-12-21 14:57:59,330 [DEBUG] __init__() @certlib.py:639 - Sorting product and entitlement cert status for: 2010-12-21 14:57:59.330244
2010-12-21 14:57:59,330 [DEBUG] _populate_all_products() @certlib.py:657 - Installed product IDs: []
2010-12-21 14:57:59,333 [DEBUG] __init__() @certlib.py:648 - valid entitled products: []
2010-12-21 14:57:59,333 [DEBUG] __init__() @certlib.py:649 - expired entitled products: []
2010-12-21 14:57:59,337 [DEBUG] __init__() @certlib.py:639 - Sorting product and entitlement cert status for: 2010-12-21 14:57:59.337898
2010-12-21 14:57:59,338 [DEBUG] _populate_all_products() @certlib.py:657 - Installed product IDs: []
2010-12-21 14:57:59,340 [DEBUG] __init__() @certlib.py:648 - valid entitled products: []
2010-12-21 14:57:59,340 [DEBUG] __init__() @certlib.py:649 - expired entitled products: []
2010-12-21 14:57:59,344 [DEBUG] __init__() @certlib.py:639 - Sorting product and entitlement cert status for: 2010-12-21 14:57:59.344865
2010-12-21 14:57:59,345 [DEBUG] _populate_all_products() @certlib.py:657 - Installed product IDs: []
2010-12-21 14:57:59,347 [DEBUG] __init__() @certlib.py:648 - valid entitled products: []
2010-12-21 14:57:59,347 [DEBUG] __init__() @certlib.py:649 - expired entitled products: []
2010-12-21 14:57:59,352 [DEBUG] __init__() @certlib.py:639 - Sorting product and entitlement cert status for: 2010-12-21 14:57:59.351973
2010-12-21 14:57:59,352 [DEBUG] _populate_all_products() @certlib.py:657 - Installed product IDs: []
2010-12-21 14:57:59,354 [DEBUG] __init__() @certlib.py:648 - valid entitled products: []
2010-12-21 14:57:59,355 [DEBUG] __init__() @certlib.py:649 - expired entitled products: []
2010-12-21 14:57:59,359 [DEBUG] __init__() @certlib.py:639 - Sorting product and entitlement cert status for: 2010-12-21 14:57:59.359361
2010-12-21 14:57:59,359 [DEBUG] _populate_all_products() @certlib.py:657 - Installed product IDs: []
2010-12-21 14:57:59,362 [DEBUG] __init__() @certlib.py:648 - valid entitled products: []
2010-12-21 14:57:59,362 [DEBUG] __init__() @certlib.py:649 - expired entitled products: []
2010-12-21 14:57:59,366 [DEBUG] __init__() @certlib.py:639 - Sorting product and entitlement cert status for: 2010-12-21 14:57:59.366574
2010-12-21 14:57:59,366 [DEBUG] _populate_all_products() @certlib.py:657 - Installed product IDs: []
2010-12-21 14:57:59,369 [DEBUG] __init__() @certlib.py:648 - valid entitled products: []
2010-12-21 14:57:59,369 [DEBUG] __init__() @certlib.py:649 - expired entitled products: []
2010-12-21 14:57:59,453 [DEBUG] refresh() @managerlib.py:482 - found 42 pools:
2010-12-21 14:57:59,454 [DEBUG] refresh() @managerlib.py:483 -    33 compatible
2010-12-21 14:57:59,454 [DEBUG] refresh() @managerlib.py:484 -    9 incompatible



ALL LOOKS GOOD.  NO MORE DIVIDE BY ZERO ERROR AND THE SUBSCRIBED POOL IS ADDED TO MySubscriptions.  See attached screenshot

MOVING TO VERIFIED.

Comment 6 John Sefler 2010-12-21 20:09:40 UTC
Created attachment 470073 [details]
MySubscriptions after having subscribed to a subscription with 0 bundled products

Comment 7 errata-xmlrpc 2011-05-19 13:38:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.